For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payout DryRun

A simulation(dry run) for payout.

A simulation(dry run) for payout.

POST https://sandbox.transfersmile.com/api/payout/dry-run

This endpoint is available in both the Sandbox and Production environments. For Production requests, use POST https://api.transfersmile.com/api/payout/dry-run with your Production AppId and the corresponding authorization signature.

Headers

Name
Type
Description

Content-Type*

String

application/json; chartset=UTF-8

AppId*

String

Your App ID in payout platform

Authorization*

String

SHA256($sorted_params + $app_key)

Request Body

Name
Type
Description

source_currency*

String

Merchant's account currency

- supported: USD, GBP, EUR-

arrival_currency*

String

BRL for BRA,

MXN for MEX, NGN forNigeria,

PHP for Philippines,

KES for Kenya

amount*

String

Numeric string, e.g. 10.00

fee_bear*

String

One of [beneficiary, merchant]

method*

String

Payout Method

channel

String

Payout Channel

country*

String

Others must be one of [BRA, MEX,NGN,PHP,KES].

timestamp*

Integer

unix timestamp, e.g. 1628512575

{
    "code": 200,
    "msg": "success",
    "time": 1642076131,
    "data": {
        "fee": "0.2",
        "tax": "0",
        "amount": "10",
        "settlement_amount": "10",
        "arrival_currency": "USD",
        "arrival_amount": "10",
        "source_currency": "USD",
        "source_amount": "10.2",
        "exchange_rate": "1"
    }
}
{
    "code": 4001000,
    "msg": "invalid parameter",
    "time": 1642078510,
    "data": {
        "err": "request has expired"
    }
}

Example PIX

Example SPEI

Example PayPal

Note: 94FAC**********************68548 is pagsmile's test merchant id for sandbox, and d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302 is authorization token associated with the test App ID.

Last updated